Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 1815)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 1816)
@@ -83,26 +83,11 @@
 		this.frame = SWT_AWT.new_Frame(this);
 		
 	
-		
-		
-		
-		
-		
-		
-		
-		
-		
-		
-		
-		
-		
-		
-		
 		// Need to add an AWT/Swing Panel to fix mouse events and mouse cursors changes on AWT/Swing chart component panel
 		this.rootPanel = new JPanel(new BorderLayout());
 		
 		this.frame.add(this.rootPanel);
-
+		
 		//this.frame.pack();
 
 		this.frame.setVisible(true);
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 1815)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 1816)
@@ -707,67 +707,68 @@
 	public static void initializeAWTDelegationListeners(final ChartEditor chartEditor, final JComponent swingComponent)	{
 
 	
-//		
-//		// AWT to  SWT
-//		swingComponent.addMouseMotionListener(new MouseMotionListener() {
-//
-//			@Override
-//			public void mouseMoved(final MouseEvent e) {
-//				if(!chartEditor.getComposite().isDisposed())	{
-//					chartEditor.getComposite().getDisplay().asyncExec(new Runnable () {
-//						public void run() {
-//							chartEditor.getComposite().notifyListeners(SWT.MouseMove, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MouseMove));
-//						}
-//					});
-//				}
-//			}
-//
-//			@Override
-//			public void mouseDragged(MouseEvent e) {
-//				// TODO Auto-generated method stub
-//
-//			}
-//		});
-//
-//		swingComponent.addMouseListener(new MouseListener() {
-//
-//			@Override
-//			public void mouseReleased(final MouseEvent e) {
-//				chartEditor.getComposite().getDisplay().asyncExec(new Runnable () {
-//					public void run() {
-//						
-//						// FIXME: context menu
-//						if(e.isPopupTrigger())	{
-//
-//							//System.err.println("SWTChartsComponentsProvider.initializeAWTDelegationListeners(...).new MouseListener() {...}.mouseReleased(...).new Runnable() {...}.run(): AWT popup trigger detected");
-//							
-//
-//							
-//							// update the mouse over item selection according to the mouse event
-//							chartEditor.getComposite().getChartComponent().updateMouseOverItem(e);
-//							
-//							// manually pop up the menu
-//							if(chartEditor.getComposite().getMenu() != null)	{
-//								chartEditor.getComposite().getMenu().setLocation(new Point(e.getXOnScreen(), e.getYOnScreen()));
-//								chartEditor.getComposite().getMenu().setVisible(true);
-//							}
-//
-//							// FIXME: the SWT.MenuDetect event delegation doesn't work, it would be better than manually pop up the menu (but other problem is the dynamic menu on chart entity item)
-//							//chartEditor.getComposite().notifyListeners(SWT.MenuDetect, SWTChartsComponentProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MenuDetect));
-//							// FIXME: try to delegate the Menu detect event, DOES NOT SEEM TO WORK
-//							//chartEditor.getComposite().notifyListeners(SWT.MenuDetect, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MenuDetect));
-//							//chartEditor.getComposite().notifyListeners(SWT.Show, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.Show));
-//							
-//						}
-//						//chartEditor.getComposite().notifyListeners(SWT.MouseUp, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MouseUp));
-//						//chartEditor.activate();
-//					}
-//				});
-//			}
-//
-//			@Override
-//			public void mousePressed(final MouseEvent e) {
-//
+		
+		// AWT to  SWT
+		swingComponent.addMouseMotionListener(new MouseMotionListener() {
+
+			@Override
+			public void mouseMoved(final MouseEvent e) {
+				if(!chartEditor.getComposite().isDisposed())	{
+					chartEditor.getComposite().getDisplay().asyncExec(new Runnable () {
+						public void run() {
+							chartEditor.getComposite().notifyListeners(SWT.MouseMove, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MouseMove));
+						}
+					});
+				}
+			}
+
+			@Override
+			public void mouseDragged(MouseEvent e) {
+				// TODO Auto-generated method stub
+
+			}
+		});
+
+		swingComponent.addMouseListener(new MouseListener() {
+
+			@Override
+			public void mouseReleased(final MouseEvent e) {
+				chartEditor.getComposite().getDisplay().asyncExec(new Runnable () {
+					public void run() {
+						
+						// FIXME: context menu
+						if(e.isPopupTrigger())	{
+
+							//System.err.println("SWTChartsComponentsProvider.initializeAWTDelegationListeners(...).new MouseListener() {...}.mouseReleased(...).new Runnable() {...}.run(): AWT popup trigger detected");
+							
+
+							
+							// update the mouse over item selection according to the mouse event
+							chartEditor.getComposite().getChartComponent().updateMouseOverItem(e);
+							
+							// manually pop up the menu
+							if(chartEditor.getComposite().getMenu() != null)	{
+								chartEditor.getComposite().getMenu().setLocation(new Point(e.getXOnScreen(), e.getYOnScreen()));
+								chartEditor.getComposite().getMenu().setVisible(true);
+								
+							}
+
+							// FIXME: the SWT.MenuDetect event delegation doesn't work, it would be better than manually pop up the menu (but other problem is the dynamic menu on chart entity item)
+							//chartEditor.getComposite().notifyListeners(SWT.MenuDetect, SWTChartsComponentProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MenuDetect));
+							// FIXME: try to delegate the Menu detect event, DOES NOT SEEM TO WORK
+							//chartEditor.getComposite().notifyListeners(SWT.MenuDetect, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MenuDetect));
+							//chartEditor.getComposite().notifyListeners(SWT.Show, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.Show));
+							
+						}
+						//chartEditor.getComposite().notifyListeners(SWT.MouseUp, SWTChartsComponentsProvider.swingEventToSWT(chartEditor.getComposite(), swingComponent, e, SWT.MouseUp));
+						//chartEditor.activate();
+					}
+				});
+			}
+
+			@Override
+			public void mousePressed(final MouseEvent e) {
+
 //				// SWT thread
 //				chartEditor.getComposite().getDisplay().asyncExec(new Runnable() {
 //					@Override
@@ -785,90 +786,90 @@
 ////						chartEditor.forceFocus();
 //					}
 //				});
-//
-//			}
-//
-//			@Override
-//			public void mouseExited(java.awt.event.MouseEvent e) {
-//				// TODO Auto-generated method stub
-//
-//			}
-//
-//			@Override
-//			public void mouseEntered(java.awt.event.MouseEvent e) {
-//
-//				// TODO: DEbug
-//				//System.err.println("SWTChartsComponentProvider.initializeSwingDelegationListeners(...) AWT mouse entered");
-//
-//				// Force the focus in the component on mouse enter
-//				/*if(!swingComponent.isFocusOwner())	{
-//
-//					// SWT thread
-//					if(!chartEditor.getComposite().isDisposed())	{
-//						chartEditor.getComposite().getDisplay().asyncExec(new Runnable() {
-//							public void run() {
-//	
-//	
-//								// FIXME: this code works on Windows and Linux but activate() the chart editor when mouse enters
-//								//chartEditor.activate();
-//	
-//								EventQueue.invokeLater(new Runnable () {
-//									public void run () {
-//								
-//										// TODO: this code forces to give the focus to the embedded AWT Frame under Windows (#1127 related)
-//										// For unknown reason Frame.requestFocusInWindow() doesn't work and always return false here
-//										// This code is not sufficient for Linux
-//										System.out.println("SWTChartsComponentProvider.initializeAWTDelegationListeners(...) trying to give focus to root embedded frame");
-//										try {
-//											Frame frame = (Frame) swingComponent.getFocusCycleRootAncestor();
-//											//frame.synthesizeWindowActivation(true);
-//											Class clazz = frame.getClass();
-//											Method method = clazz.getMethod("synthesizeWindowActivation", new Class[]{boolean.class});
-//											if(method != null)	{
-//												method.invoke(frame, new Object[]{new Boolean(true)});
-//												System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners(...).new MouseListener() {...}.mouseEntered(...).new Runnable() {...}.run(): " + frame);
-//			
-//											}
-//			
-//											//frame.requestFocusInWindow();
-//			
-//			                            }
-//										catch (Throwable e) {
-//											Log.printStackTrace(e);
-//										}
-//									}
-//								});
-//								
-//								
-//								//System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners) AWT give focus to frame = " + ((JFCComposite)chartEditor.getComposite()).frame.requestFocusInWindow());
-//	
-//	
-//	//							chartEditor.setFocus();
-//	//							System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners() SWT got focus = " + chartEditor.getComposite().setFocus());
-//	
-//	//							EventQueue.invokeLater(new Runnable () {
-//	//								public void run () {
-//										//swingComponent.requestFocusInWindow();
-//	
-//	//									System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners() AWT got focus = " + swingComponent.requestFocusInWindow());
-//	//								}
-//	//							});
-//	
-//	
-//	
-//							}
-//						});
-//					}
-//				}*/
-//			}
-//
-//			@Override
-//			public void mouseClicked(java.awt.event.MouseEvent e) {
-//				// TODO Auto-generated method stub
-//
-//			}
-//		});
-//
+
+			}
+
+			@Override
+			public void mouseExited(java.awt.event.MouseEvent e) {
+				// TODO Auto-generated method stub
+
+			}
+
+			@Override
+			public void mouseEntered(java.awt.event.MouseEvent e) {
+
+				// TODO: DEbug
+				//System.err.println("SWTChartsComponentProvider.initializeSwingDelegationListeners(...) AWT mouse entered");
+
+				// Force the focus in the component on mouse enter
+				/*if(!swingComponent.isFocusOwner())	{
+
+					// SWT thread
+					if(!chartEditor.getComposite().isDisposed())	{
+						chartEditor.getComposite().getDisplay().asyncExec(new Runnable() {
+							public void run() {
+	
+	
+								// FIXME: this code works on Windows and Linux but activate() the chart editor when mouse enters
+								//chartEditor.activate();
+	
+								EventQueue.invokeLater(new Runnable () {
+									public void run () {
+								
+										// TODO: this code forces to give the focus to the embedded AWT Frame under Windows (#1127 related)
+										// For unknown reason Frame.requestFocusInWindow() doesn't work and always return false here
+										// This code is not sufficient for Linux
+										System.out.println("SWTChartsComponentProvider.initializeAWTDelegationListeners(...) trying to give focus to root embedded frame");
+										try {
+											Frame frame = (Frame) swingComponent.getFocusCycleRootAncestor();
+											//frame.synthesizeWindowActivation(true);
+											Class clazz = frame.getClass();
+											Method method = clazz.getMethod("synthesizeWindowActivation", new Class[]{boolean.class});
+											if(method != null)	{
+												method.invoke(frame, new Object[]{new Boolean(true)});
+												System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners(...).new MouseListener() {...}.mouseEntered(...).new Runnable() {...}.run(): " + frame);
+			
+											}
+			
+											//frame.requestFocusInWindow();
+			
+			                            }
+										catch (Throwable e) {
+											Log.printStackTrace(e);
+										}
+									}
+								});
+								
+								
+								//System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners) AWT give focus to frame = " + ((JFCComposite)chartEditor.getComposite()).frame.requestFocusInWindow());
+	
+	
+	//							chartEditor.setFocus();
+	//							System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners() SWT got focus = " + chartEditor.getComposite().setFocus());
+	
+	//							EventQueue.invokeLater(new Runnable () {
+	//								public void run () {
+										//swingComponent.requestFocusInWindow();
+	
+	//									System.out.println("SWTChartsComponentProvider.initializeSwingDelegationListeners() AWT got focus = " + swingComponent.requestFocusInWindow());
+	//								}
+	//							});
+	
+	
+	
+							}
+						});
+					}
+				}*/
+			}
+
+			@Override
+			public void mouseClicked(java.awt.event.MouseEvent e) {
+				// TODO Auto-generated method stub
+
+			}
+		});
+
 //		// Swing component focus delegation to the SWT chart composite
 //		swingComponent.addFocusListener(new FocusListener() {
 //			
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 1815)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 1816)
@@ -254,12 +254,17 @@
 					chartComponent.getChartEditor().getComposite().getMenu().getItem(0).setText(t);
 				}
 				
-				// FIXME: SJ: temporary workaround to fix the popup menu visibility bug on Linux/Gnome (see: http://forge.cbp.ens-lyon.fr/redmine/issues/1519)
-				if(OSDetector.isFamilyUnix() && event.getTrigger().getButton() == MouseEvent.BUTTON3)	{
-					chartComponent.getChartEditor().getComposite().getMenu().setVisible(true);
-					Log.finest("DefaultChartMouseListener.chartMouseClicked(...).new Runnable() {...}.run(): special menu visibility Linux/Gnome bug fix.");
-				}
-				
+//				// FIXME: SJ: temporary workaround to fix the popup menu visibility bug on Linux/Gnome (see: http://forge.cbp.ens-lyon.fr/redmine/issues/1519)
+//				if(
+//						//OSDetector.isFamilyUnix() && 
+//						event.getTrigger().getButton() == MouseEvent.BUTTON3
+//						
+//								//event.getTrigger().isPopupTrigger()
+//						)	{
+//					chartComponent.getChartEditor().getComposite().getMenu().setVisible(true);
+//					Log.finest("DefaultChartMouseListener.chartMouseClicked(...).new Runnable() {...}.run(): special menu visibility Linux/Gnome bug fix.");
+//				}
+//				
 			}
 		});
 
